## blobby 0.9c

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,12 @@
 
 set(common_SRC	
 	Global.h
+	Clock.cpp Clock.h
+	DuelMatch.cpp DuelMatch.h
+	ReplayRecorder.cpp ReplayRecorder.h
 	NetworkGame.cpp NetworkGame.h
 	NetworkMessage.cpp NetworkMessage.h
+	GameLogic.cpp GameLogic.h
 	PhysicWorld.cpp PhysicWorld.h
 	SpeedController.cpp SpeedController.h
 	UserConfig.cpp UserConfig.h
@@ -17,7 +21,6 @@
 set (blobby_SRC ${common_SRC}
 	Blood.cpp Blood.h
 	TextManager.cpp TextManager.h
-	DuelMatch.cpp DuelMatch.h
 	main.cpp
 	IMGUI.cpp IMGUI.h
 	InputDevice.cpp InputDevice.h
@@ -29,8 +32,8 @@
 	RenderManagerGL2D.cpp RenderManagerGL2D.h
 	RenderManagerGP2X.cpp RenderManagerGP2X.h
 	RenderManagerSDL.cpp RenderManagerSDL.h
-	ReplayRecorder.cpp ReplayRecorder.h
-	ScriptedInputSource.cpp ScriptedInputSource.h
+	ScriptedInputSource.cpp ScriptedInputSource.h	
+	BotAPICalculations.cpp BotAPICalculations.h
 	SoundManager.cpp SoundManager.h
 	Vector.h
 	state/State.cpp state/State.h
@@ -68,8 +71,12 @@
 
 if (UNIX)
 	add_executable(blobby-server ${blobby-server_SRC})
-	target_link_libraries(blobby-server raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY})
+	target_link_libraries(blobby-server lua raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY})
 endif (UNIX)
+
+if (CMAKE_SYSTEM_NAME STREQUAL Windows)
+	set_target_properties(blobby PROPERTIES LINK_FLAGS "-mwindows") # disable the console window
+endif (CMAKE_SYSTEM_NAME STREQUAL Windows)
 
 if (WIN32)
 	install(TARGETS blobby DESTINATION .)
