=== debian/changelog ===
blobby (0.9c-1) unstable; urgency=low

  * New upstream release. (LP: #887143)
    - Resolves all licensing issues, no need to repackage the upstream
      tarball anymore.
  * Drop 03_detect_endianness_glibc.patch, merged upstream.
  * Refresh patches.
  * Enable parallel building.
  * Switch to source format 3.0 (quilt).
    - Add unapply-patches and abort-on-upstream-changes to local-options.
    - Refresh patches.
  * Export build flags using /usr/share/dpkg/buildflags.mk.
  * Improve package description, thanks to Paul Stewart. (LP: #833458)
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Move package to the pkg-games team.
  * Generate blobby icons during the build.
  * Update copyright file to latest DEP-5 spec.
  * Pass --fail-missing to dh_install.
  * Add 05_server_config_file.patch: append /usr/share/blobby to the server
    config search path and write the config to the user's home dir.
    (Closes: #648204)

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 04 Dec 2011 12:45:10 +0100

blobby (0.8-dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Set DM-Upload-Allowed.

 -- Philipp Kern <pkern@debian.org>  Mon, 28 Nov 2011 22:39:54 +0100

blobby (0.8-dfsg-2) unstable; urgency=low

  * Add 03_detect_endianness_glibc.patch to fix FTBFS on s390 and sh4.
    (Closes: #572025)
  * Add Vcs-Git and Vcs-Browser fields.
  * Update copyright information of the tinyxml source.
  * Explicitly set source format to "1.0".
  * Add -Wl,--as-needed to LDFLAGS.
  * Use the tinyxml package instead of building a local copy.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 17 Apr 2010 00:54:09 +0200

blobby (0.8-dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #408439)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 23 Feb 2010 18:28:39 +0100
