=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_install:
	dh_install --fail-missing
	convert -transparent black data/gfx/ball01.bmp \
	  debian/blobby/usr/share/icons/hicolor/64x64/apps/blobby.png
	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
	  debian/blobby/usr/share/icons/hicolor/32x32/apps/blobby.png
	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
	  debian/blobby/usr/share/pixmaps/blobby.xpm
