=== debian/watch ===
version=3

http://sf.net/blobby/ blobby2-linux-(.*)\.tar\.gz
