=== debian/changelog ===
blobby (1.0~rc1-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7.
    - Add 06_ftbfs_gcc47.patch
  * Switch to debhelper compat level v9.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 May 2012 12:27:19 +0200

blobby (1.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Fix Vcs-Browser url.
  * Install the upstream changelog.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update copyright file.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 13 Apr 2012 16:14:15 +0200
