=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.4.10~),
+Build-Depends: debhelper (>= 9),
                cmake,
                imagemagick,
                zip,
@@ -16,9 +16,9 @@
                libtinyxml-dev,
                zlib1g-dev
 Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/blobby.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git
 
 Package: blobby
 Architecture: any
