=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory(lua)
 add_subdirectory(tinyxml)
 add_subdirectory(raknet)
+add_subdirectory(blobnet)
 
 add_definitions(-DTIXML_USE_STL)
 include_directories(.)
@@ -19,6 +20,11 @@
 	File.cpp File.h
 	FileWrite.cpp FileWrite.h
 	FileRead.cpp FileRead.h
+	FileSystem.cpp FileSystem.h
+	PhysicState.cpp PhysicState.h
+	DuelMatchState.cpp DuelMatchState.h
+	GameLogicState.cpp GameLogicState.h
+	GenericIO.cpp GenericIO.h
 	)
 	
 set (blobby_SRC ${common_SRC}
@@ -78,7 +84,7 @@
 endif (CMAKE_SYSTEM_NAME STREQUAL Windows)
 
 add_executable(blobby ${blobby_SRC})
-target_link_libraries(blobby lua raknet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY} ${OPENGL_LIBRARIES})
+target_link_libraries(blobby lua raknet blobnet tinyxml ${RAKNET_LIBRARIES} ${PHYSFS_LIBRARY} ${SDL_LIBRARY} ${OPENGL_LIBRARIES})
 
 if (UNIX)
 	add_executable(blobby-server ${blobby-server_SRC})
