=== debian/changelog ===
blobby (1.0~rc3-3) unstable; urgency=low

  * Fix FTBFS: 'assert' was not declared in this scope. (Closes: #710632)
    - Add 06_fix_ftbfs_assert_include.patch

 -- Felix Geyer <fgeyer@debian.org>  Sat, 01 Jun 2013 15:18:00 +0200

blobby (1.0~rc3-2) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 08 May 2013 21:49:41 +0200

blobby (1.0~rc3-1) experimental; urgency=low

  * Upload to experimental due to the freeze.
  * New upstream release.
  * Refresh patches.
  * Drop 06_ftbfs_gcc47.patch, merged upstream.
  * Switch to my @debian.org email address.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Nov 2012 12:05:41 +0100
