=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Felix Geyer <debfx-pkg@fobos.de>
-DM-Upload-Allowed: yes
+Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
                imagemagick,
@@ -16,7 +15,7 @@
                libtinyxml-dev,
                zlib1g-dev
 Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git
