=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-DPKG_EXPORT_BUILDFLAGS = 1
--include /usr/share/dpkg/buildflags.mk
-
-LDFLAGS += -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --parallel
@@ -16,3 +13,6 @@
 	  debian/blobby/usr/share/icons/hicolor/32x32/apps/blobby.png
 	convert -transparent black data/gfx/ball01.bmp -resize 32x32 \
 	  debian/blobby/usr/share/pixmaps/blobby.xpm
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
