=== debian/changelog ===
blobby (1.0-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:49 +0100

blobby (1.0-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:15:08 +0000

blobby (1.0-3) unstable; urgency=medium

  * Drop Debian menu entry.
  * Fix FTBFS: include ostream in NetworkMessage.cpp
    - Add 10_ostream_include.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 09 Sep 2015 17:03:53 +0200

blobby (1.0-2) unstable; urgency=medium

  * Make builds reproducible.
    - d/patches/09_reproducible_build.patch: Don't store the atime of files
      in zip archives.
    - d/rules: Don't store mtime in png files.
  * Remove obsolete/duplicate sections from the copyright file.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Fix FTBFS when building only arch-all packages.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 01 May 2015 10:13:13 +0200

blobby (1.0-1) unstable; urgency=medium

  * New upstream release

  [ Jackson Doak ]
  * Disable 05_server_config_file.patch, no longer needed
  * Drop 06_fix_ftbfs_assert_include.patch, no longer needed
  * Add build depend on libsdl2-dev

  [ Felix Geyer ]
  * Upstream uses lua 5.2 now. Adapt build-depends and 02_use_system_lua.patch
    accordingly.
  * Make sure $CXXFLAGS are not overwritten by the upstream CMakeLists.txt.
    - Add 07_cxxflags_append.patch
  * Drop libsdl1.2-dev build-dependency, not needed anymore.
  * Cherry-pick upstream commit to fix config file loading.
    - Add 08_config_loading.patch
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 23 Apr 2014 23:36:09 +0200
