=== debian/watch ===
version=3

opts="uversionmangle=s/rc/~rc/" \
  http://sf.net/blobby/ blobby2-linux-(.*)\.tar\.gz
