=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	file(GLOB_RECURSE archive_src RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} ${_dir}/*.${_filetype})
 	add_custom_command(
 		OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip
-		COMMAND zip ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip ${archive_src}
+		COMMAND ${CMAKE_COMMAND} -E tar cf ${CMAKE_CURRENT_BINARY_DIR}/${_dir}.zip --format=zip ${archive_src}
 		DEPENDS ${archive_src}
 		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 		VERBATIM
@@ -24,15 +24,22 @@
 	${CMAKE_CURRENT_BINARY_DIR}/scripts.zip
 	${CMAKE_CURRENT_BINARY_DIR}/backgrounds.zip
 	${CMAKE_CURRENT_BINARY_DIR}/rules.zip
+	api.lua
+	bot_api.lua
+	rules_api.lua
+	Icon.bmp
 	config.xml
 	inputconfig.xml
-	server/server.xml
+	server.xml
+	lang_cs.xml
 	lang_de.xml
 	lang_en.xml
-	lang_fr.xml)
+	lang_es.xml
+	lang_fr.xml
+	lang_it.xml)
 
-if (WIN32)
+if (WIN32 OR SWITCH)
 	install(FILES ${install_files} DESTINATION data)
 elseif (UNIX)
 	install(FILES ${install_files} DESTINATION share/blobby)
-endif (WIN32)
+endif (WIN32 OR SWITCH)
