=== debian/changelog ===
blobby (1.1+ds-1ubuntu1) noble; urgency=medium

  * No-change rebuild against libtinyxml2-10

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 Jan 2024 10:30:07 -0700

blobby (1.1+ds-1) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * New upstream release.
    - Drop obsolete patches.
    - Drop d/blobby.desktop, as it's included in the upstream source.
  * d/control:
    - Point Vcs-* URLs to salsa.
    - Update to debhelper compat level 13.
    - Drop obsolete libgl1-mesa-dev build dependency.
    - Build-depend on pkgconf.
    - Update Standards-Version to 4.6.2.
    - Declare that d/rules does not require root.
    - Update homepage.
  * d/rules:
    - Enable all hardening options.
    - Drop dh_installchangelogs override, as the changelog is detected
      automatically.
    - Drop generation of low resolution icons, as a better one is now
      available.
  * Use https in URLs.
  * Update patch to link against system lua 5.3.
  * Update patch to link against system libtinyxml2.
  * Update list of installed files.
  * d/watch:
    - Update to version 4.
    - Point to github, which is now the official location.
  * Update copyrights.

  [ Debian Janitor ]
  * Apply multi-arch hints. + blobby-data: Add Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 25 Jun 2023 22:42:02 +0200

blobby (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jun 2022 16:10:02 +0200
