=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: blobby
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               imagemagick,
+               pkgconf,
                zip,
                libboost-dev,
-               libgl1-mesa-dev | libgl-dev,
-               liblua5.1-0-dev,
+               libgl-dev,
+               liblua5.3-dev,
                libphysfs-dev,
-               libsdl1.2-dev,
-               libtinyxml-dev,
+               libsdl2-dev,
+               libtinyxml2-dev,
                zlib1g-dev
-Homepage: http://sourceforge.net/projects/blobby/
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-games/blobby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/blobby.git
+Homepage: https://blobbyvolley.de/
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/blobby.git
+Vcs-Browser: https://salsa.debian.org/games-team/blobby
+Rules-Requires-Root: no
 
 Package: blobby
 Architecture: any
@@ -42,6 +44,7 @@
 Package: blobby-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Volleyball game with blobs (data files)
  This package contains the static data for Blobby Volley 2.
  .
