## blobby 1.1.1%2Bds

=== debian/changelog ===
blobby (1.1.1+ds-3) unstable; urgency=medium

  * Team upload
  * Update to lua5.4

 -- Bastian Germann <bage@debian.org>  Fri, 20 Feb 2026 11:39:37 +0100

blobby (1.1.1+ds-2) unstable; urgency=medium

  * Fix FTBFS with gcc 15. (Closes: #1096379)
    - Add 05_fix_ftbfs_gcc15.patch from upstream

 -- Felix Geyer <fgeyer@debian.org>  Sat, 13 Sep 2025 09:51:53 +0200

blobby (1.1.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1+ds

 -- Alexandre Detiste <tchet@debian.org>  Wed, 16 Oct 2024 12:15:13 +0200
