=== deps/CMakeLists.txt ===
add_subdirectory(tinyxml)
add_subdirectory(lua)
