=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: blobby
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
