=== debian/watch ===
version=4
opts="uversionmangle=s/rc/~rc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
 https://github.com/danielknobe/blobbyvolley2/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
